#### D.2.4.20 intersectpar

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  interectpar(list of ideals S)
  list S=ideal I1,...,ideal Ik;

Return:
  The intersection of the ideals I1 ... Ik in Q[x,a]

Note:
  The routine is called in Q[a][x],
  The ideals I1,..,Ik can be ideals depending only on [a] or on [x,a]

Example:

    LIB "grobcov.lib";
    "EAXMPLE:";
    ==> EAXMPLE:
    if(defined(R)){kill R;}
    ring R=(0,x,y,z),(x1,y1,z1),lp;
    ideal I1=x+y*z*x1;
    ideal I2=x-y*z*y1;
    ideal I3=x+y+z*z1;
    list S=I1,I2,I3;
    S;
    ==> [1]:
    ==>    _[1]=(y*z)*x1+(x)
    ==> [2]:
    ==>    _[1]=(-y*z)*y1+(x)
    ==> [3]:
    ==>    _[1]=(z)*z1+(x+y)
    intersectpar(S);
    ==> _[1]=(y^2*z^3)*x1*y1*z1+(x*y^2*z^2+y^3*z^2)*x1*y1+(-x*y*z^2)*x1*z1+(-x^2*\
       y*z-x*y^2*z)*x1+(x*y*z^2)*y1*z1+(x^2*y*z+x*y^2*z)*y1+(-x^2*z)*z1+(-x^3-x^\
       2*y)

User manual for Singular version 4.4.1, 2025, generated by texi2html.